Commit 22a0e3d4 authored by Natanael Copa's avatar Natanael Copa

main/alpine-conf: upgrade to 3.8.3

parent 00be0c9a
From 8a3bfebfbcb7c1dab3bec763f07c731372c17ce4 Mon Sep 17 00:00:00 2001
From: Natanael Copa <ncopa@alpinelinux.org>
Date: Fri, 25 Jan 2019 15:11:50 +0000
Subject: [PATCH] setup-alpine: setup ntp before repos
we need time to be correct for https certificates when setting up
apkrepos, so we call setup-ntp before setup-apkrepos.
ref #9911
---
setup-alpine.in | 8 ++++----
1 file changed, 4 insertions(+), 4 deletions(-)
diff --git a/setup-alpine.in b/setup-alpine.in
index 9bae702..80e10ff 100644
--- a/setup-alpine.in
+++ b/setup-alpine.in
@@ -186,6 +186,10 @@ if [ -r "$ROOT/etc/profile" ]; then
. "$ROOT/etc/profile"
fi
+if ! is_qemu && [ "$rc_sys" != "LXC" ] && [ "$quick" != 1 ]; then
+ $PREFIX/sbin/setup-ntp ${NTPOPTS}
+fi
+
$PREFIX/sbin/setup-apkrepos ${APKREPOSOPTS}
# lets stop here if in "quick mode"
@@ -195,10 +199,6 @@ fi
$PREFIX/sbin/setup-sshd ${SSHDOPTS}
-if ! is_qemu && [ "$rc_sys" != "LXC" ]; then
- $PREFIX/sbin/setup-ntp ${NTPOPTS}
-fi
-
if is_xen_dom0; then
setup-xen-dom0
fi
--
2.20.1
From cf789724141b2a16387328ff336fe9b4aee93485 Mon Sep 17 00:00:00 2001
From: Carlo Landmeter <clandmeter@alpinelinux.org>
Date: Fri, 1 Feb 2019 16:31:14 +0000
Subject: [PATCH] update-kernel: add modloopfw option
modloopfw will add additional firmware to the modloop image
to work around not beeing detected by modinfo.
---
update-kernel.in | 44 +++++++++++++++++++++++++++++++-------------
1 file changed, 31 insertions(+), 13 deletions(-)
diff --git a/update-kernel.in b/update-kernel.in
index ef38793..94458e1 100644
--- a/update-kernel.in
+++ b/update-kernel.in
@@ -8,6 +8,8 @@
# Copyright (c) 2014 Timo Teräs
# Copyright (c) 2014-2015 Kaarle Ritvanen
+PREFIX=
+. $PREFIX/lib/libalpine.sh
SCRIPT=update-kernel
VIRTUAL=.tmp-$SCRIPT
@@ -29,6 +31,7 @@ REPOSITORIES_FILE=/etc/apk/repositories
SIGNALS="HUP INT TERM"
TMPDIR=
features=
+modloopfw=
error() {
echo "$SCRIPT: $1" >&2
@@ -44,25 +47,26 @@ usage() {
$SCRIPT -f <flavor> $opts $dest_args
$SCRIPT -b <build_dir> $opts [$dest_args]
- Options: -a|--arch <arch> Install kernel for specified architecture
- -b|--build <build_dir> Install custom-built kernel
- -f|--flavor <flavor> Install kernel of specified flavor
- -F|--feature <feature> Enable initfs feature
- -p|--package <package> Additional module or firmware package
- -s|--modloopsign Sign modloop with abuild key
- -v|--verbose Verbose output
- -k|--apk-pubkey <key> Include given key in initramfs
- -K|--hostkeys Include host keys in initramfs
- -C|--compression Initramfs compression (see mkinitfs for options)
- -M|--media Boot media directory layout
- --repositories-file <f> apk repositories file
+ Options: -a|--arch <arch> Install kernel for specified architecture
+ -b|--build <build_dir> Install custom-built kernel
+ -e|--modloopfw <firmware> Install extra firmware in modloop
+ -f|--flavor <flavor> Install kernel of specified flavor
+ -F|--feature <feature> Enable initfs feature
+ -p|--package <package> Additional module or firmware package
+ -s|--modloopsign Sign modloop with abuild key
+ -v|--verbose Verbose output
+ -k|--apk-pubkey <key> Include given key in initramfs
+ -K|--hostkeys Include host keys in initramfs
+ -C|--compression Initramfs compression (see mkinitfs for options)
+ -M|--media Boot media directory layout
+ --repositories-file <f> apk repositories file
__EOF__
exit $1
}
QUIET_OPT="--quiet"
-OPTS=$(getopt -l arch:,build-dir:,flavor:,feature:,help,package:,modloopsign,verbose,apk-pubkey:,hostkeys,compression:,media,repositories-file: \
+OPTS=$(getopt -l arch:,build-dir:,flavor:,feature:,modloopfw:,help,package:,modloopsign,verbose,apk-pubkey:,hostkeys,compression:,media,repositories-file: \
-n $SCRIPT -o a:b:f:F:hp:svk:KC:M -- "$@") || usage 1
eval set -- "$OPTS"
@@ -84,6 +88,10 @@ while :; do
shift
features="$features $1"
;;
+ -e|--modloopfw)
+ shift
+ modloopfw="$modloopfw $1"
+ ;;
-h|--help)
echo "$SCRIPT @VERSION@" >&2
usage 0
@@ -277,6 +285,16 @@ find $ROOT/lib/modules -type f -name "*.ko" | xargs modinfo -F firmware | sort -
fi
done
+# install extra firmware files in modloop (i.e. not detected by modinfo)
+for _xfw in "$modloopfw"; do
+ if [ -f "$ROOT/lib/firmware/$_xfw" ]; then
+ install -pD "$ROOT/lib/firmware/$_xfw" \
+ "$MODLOOP"/modules/firmware/"$_xfw"
+ else
+ echo "Warning: extra firmware \"$_xfw\" not found!"
+ fi
+done
+
# include bluetooth firmware in modloop
if [ -d "$MODLOOP/modules/firmware/brcm" ]; then
for _btfw in "$ROOT"/lib/firmware/brcm/*.hcd; do
--
2.20.1
From f7c6df674f7c5556c4a58d03310eb84e1d4f4676 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Timo=20Ter=C3=A4s?= <timo.teras@iki.fi>
Date: Fri, 22 Mar 2019 19:55:07 +0200
Subject: [PATCH] update-kernel: include associated firmware files to modloop
Some drivers reference only the .bin but require additional
files such as .$board.txt or .clm_blob. Include all files
in modloop that might match. ref #9549
---
update-kernel.in | 8 ++++----
1 file changed, 4 insertions(+), 4 deletions(-)
diff --git a/update-kernel.in b/update-kernel.in
index eeb0716..0079182 100644
--- a/update-kernel.in
+++ b/update-kernel.in
@@ -278,10 +278,10 @@ mkdir -p $MODLOOP/modules/firmware
find $ROOT/lib/modules -type f -name "*.ko" | xargs modinfo -F firmware | sort -u | while read FW; do
if [ -e "$ROOT/lib/firmware/$FW" ]; then
install -pD $ROOT/lib/firmware/$FW $MODLOOP/modules/firmware/$FW
- # include nvram files if firmware is needed.
- if [ -e "$ROOT/lib/firmware/${FW%.*}.txt" ]; then
- install -pD $ROOT/lib/firmware/${FW%.*}.txt $MODLOOP/modules/firmware/${FW%.*}.txt
- fi
+ # copy also all potentially associated files
+ for _file in "$ROOT"/lib/firmware/"${FW%.*}".*; do
+ install -pD "$_file" "$MODLOOP/modules/firmware/${_file#*/lib/firmware/}"
+ done
fi
done
--
2.21.0
From 74fd3c56ea44e4f2d8e050a21a91820762039212 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Timo=20Ter=C3=A4s?= <timo.teras@iki.fi>
Date: Fri, 15 Feb 2019 13:27:09 +0200
Subject: [PATCH] update-kernel: include regulatory database
---
update-kernel.in | 9 ++++++++-
1 file changed, 8 insertions(+), 1 deletion(-)
diff --git a/update-kernel.in b/update-kernel.in
index 94458e1..eeb0716 100644
--- a/update-kernel.in
+++ b/update-kernel.in
@@ -295,8 +295,15 @@ for _xfw in "$modloopfw"; do
fi
done
+# wireless regulatory db
+if [ -e "$ROOT"/lib/modules/*/kernel/net/wireless/cfg80211.ko ]; then
+ for _regdb in "$ROOT"/lib/firmware/regulatory.db*; do
+ [ -e "$_regdb" ] && install -pD "$_regdb" "$MODLOOP"/modules/firmware/"${_regdb##*/}"
+ done
+fi
+
# include bluetooth firmware in modloop
-if [ -d "$MODLOOP/modules/firmware/brcm" ]; then
+if [ -e "$ROOT"/lib/modules/*/kernel/drivers/bluetooth/btbcm.ko ]; then
for _btfw in "$ROOT"/lib/firmware/brcm/*.hcd; do
install -pD "$_btfw" \
"$MODLOOP"/modules/firmware/brcm/"${_btfw##*/}"
--
2.20.1
From 921a66c96c97634450c456b5ead039a20fa408e8 Mon Sep 17 00:00:00 2001
From: Richard Mortier <mort@cantab.net>
Date: Fri, 26 Apr 2019 10:39:39 +0100
Subject: [PATCH] lbu: fix invocation of `openssl list-cipher-commands` for
v1.1.1b
---
lbu.in | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/lbu.in b/lbu.in
index 61be708..f439cf2 100644
--- a/lbu.in
+++ b/lbu.in
@@ -126,7 +126,7 @@ check_openssl() {
[ -z "$ENCRYPTION" ] && return 0
OPENSSL=$(which openssl 2>/dev/null) || die "openssl was not found"
- $OPENSSL list-cipher-commands | grep "^$ENCRYPTION$" > /dev/null \
+ $OPENSSL enc -ciphers | grep "^$ENCRYPTION$" > /dev/null \
|| die "Cipher $ENCRYPTION is not supported"
}
--
2.21.0
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=alpine-conf
pkgver=3.8.1
pkgrel=5
pkgver=3.8.3
pkgrel=0
pkgdesc="Alpine configuration management scripts"
url=http://git.alpinelinux.org/cgit/$pkgname
url="https://git.alpinelinux.org/alpine-conf/about"
arch="all"
license="MIT"
depends="openrc>=0.24.1-r6 busybox>=1.26.1-r3"
source="https://dev.alpinelinux.org/archive/alpine-conf/alpine-conf-$pkgver.tar.xz
0001-setup-alpine-setup-ntp-before-repos.patch
0001-update-kernel-include-regulatory-database.patch
0001-update-kernel-add-modloopfw-option.patch
0001-update-kernel-include-associated-firmware-files-to-m.patch
0001-update-lbu-openssl-invocation.patch
"
builddir="$srcdir"/$pkgname-$pkgver
......@@ -29,9 +24,4 @@ package() {
done
}
sha512sums="6aa0f0eaab6ee1ff8f9259d5c4e4634bf6d736a2cb52efb3cbabfdfcdd5dcd81b9fe05073ac16f964e7b74b5006b5f4219b33ab4ff5f984273b3bb48982afd6a alpine-conf-3.8.1.tar.xz
4b1b88b66a0771720e1991534c0d55b17293d0d9c3e4064d4210c2edd2fcbe8f6691bf5336b5492312df6160aad8f17b4bb4f9174efd4bad342472b3ad2a16bc 0001-setup-alpine-setup-ntp-before-repos.patch
544498b30bd57c84521a4fd5fbd45791b9307dcd29532278f45b61fb14d6405b5454e98fb535fd31331793b806ef897e208c3c6f8bc772dbd55ae2c61abcb402 0001-update-kernel-include-regulatory-database.patch
65f6f79a841ab661ab5fdd41c5e78f4bb74bbc4b1d252291d64cb9d5afa6853133d562c2069bf138b39407c8a0ecc37697b5d17534ded7b8dab8490be6a13698 0001-update-kernel-add-modloopfw-option.patch
bfdaa44b0e02fb49c74ff8a6f3292356a6856a1a8aac005d14fe396f02a1c881658c1d9cfe69216fdf0f7c0cfad547cff57270bb8ab87390f0e1e9addfb68fe9 0001-update-kernel-include-associated-firmware-files-to-m.patch
dd995435797f0a26c86be375adfa0ffef11aa232d1ef620c315bcfaf2ab918222179cbba6d6f46fad7022c3abfff8212ff406028e7919c6a0789085167bf3013 0001-update-lbu-openssl-invocation.patch"
sha512sums="73bd999b552d266c994cc1535570b86ddd7a7379f3b9e244c4985722f5754b11323a4e677cdae91fa4f0098dadd388eba679a99d98e140354ab7681bb85f9dfa alpine-conf-3.8.3.tar.xz"
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment